      SUBROUTINE GET_RIJ(IUNIT,NKOL,IX,IY,M,IRIJ,EINDE)
*
***** *************************************************************** 
*
*---- Floragegevens in LUW-format van een gridcel inlezen
*
*---- J.P.M. Witte, LUW, 130594
*     Laatste herziening: 010794
*
***** *************************************************************** 
*
      PARAMETER(MAKS=1200)
*
      INTEGER IRIJ(MAKS)
      LOGICAL EINDE
*
      EINDE=.FALSE.
      READ(IUNIT,*,ERR=20,END=30)IX,IY,M
      IF (M.GT.MAKS)THEN
         CALL BELL(1)
         WRITE(6,901)'IX=',IX,'IY=',IY,'M=',M
         STOP 'MAKS IN GET_RIJ TE KLEIN'
      END IF
      NRIJ=M/NKOL+1
      DO 10 I=1,NRIJ
         LENKOL=MIN(NKOL,M-(I-1)*NKOL)
         IF (LENKOL.EQ.0) GOTO 40
         READ(IUNIT,*,ERR=20,END=30)
     #   (IRIJ(J),J=(I-1)*NKOL+1,(I-1)*NKOL+LENKOL)
10    CONTINUE
      GOTO 40
*
20    CALL BELL(1)
      STOP 'FOUT INLEZEN GET_RIJ'
30    EINDE=.TRUE.
40    RETURN
*
901   FORMAT(3(A5,1X,I10))
*
      END